Skip to main content
PATCH
/
orgs
/
{org_id}
/
pages
/
positions
Reorder pages
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/pages/positions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "positions": [
    {
      "id": "<string>",
      "position": 1
    }
  ]
}
'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/pages/positions"

payload = { "positions": [
{
"id": "<string>",
"position": 1
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({positions: [{id: '<string>', position: 1}]})
};

fetch('https://api.useinvent.com/orgs/{org_id}/pages/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "page_5Fb7…",
    "slug": "store-overview",
    "title": "Store overview",
    "icon": "<string>",
    "parent_id": "<string>",
    "position": 123,
    "show_in_sidebar": true,
    "archived": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

Query Parameters

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Body

positions
object[]
required
Required array length: 1 - 500 elements

Response

200 - application/json
id
string
required
Example:

"page_5Fb7…"

slug
string
required

Friendly URL segment, unique per org.

Required string length: 1 - 64
Pattern: ^[a-z][a-z0-9-]{0,63}$
Example:

"store-overview"

title
string | null
required

Page title.

Required string length: 1 - 255
Example:

"Store overview"

icon
required

The emoji of a curated icon a user can pick for a table, view, field, or other entity

color
enum<string>
required

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
parent_id
string | null
required

Parent page id. Reserved for nesting; unused by the UI.

position
integer
required

Sidebar-zone order.

show_in_sidebar
boolean
required
archived
boolean
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required